org.apache.solr.client.solrj.impl

## Class Http2SolrClient.Builder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.Http2SolrClient.Builder

Enclosing class:
  Http2SolrClient

    public static class Http2SolrClient.Builder
    extends Object

### Field Summary

Fields
`protected String` `baseSolrUrl`

### Constructor Summary

Constructors
Constructor and Description
`Builder()`
`Builder(String baseSolrUrl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Http2SolrClient` `build()`
`Http2SolrClient.Builder` `connectionTimeout(int connectionTimeOut)`
`Http2SolrClient.Builder` `idleTimeout(int idleConnectionTimeout)`
`Http2SolrClient.Builder` `maxConnectionsPerHost(int max)` Set maxConnectionsPerHost for http1 connections, maximum number http2 connections is limited by 4
`Http2SolrClient.Builder` `useHttp1_1(boolean useHttp1_1)`
`Http2SolrClient.Builder` `withHttpClient(org.eclipse.jetty.client.HttpClient httpClient)`
`Http2SolrClient.Builder` `withSSLConfig(SSLConfig sslConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### baseSolrUrl

    protected String baseSolrUrl

### Constructor Detail

#### Builder

    public Builder()

#### Builder

    public Builder(String baseSolrUrl)

### Method Detail

#### build

    public Http2SolrClient build()

#### withHttpClient

    public Http2SolrClient.Builder withHttpClient(org.eclipse.jetty.client.HttpClient httpClient)

#### withSSLConfig

    public Http2SolrClient.Builder withSSLConfig(SSLConfig sslConfig)

#### maxConnectionsPerHost

    public Http2SolrClient.Builder maxConnectionsPerHost(int max)

Set maxConnectionsPerHost for http1 connections, maximum number http2 connections is limited by 4

#### idleTimeout

    public Http2SolrClient.Builder idleTimeout(int idleConnectionTimeout)

#### useHttp1_1

    public Http2SolrClient.Builder useHttp1_1(boolean useHttp1_1)

#### connectionTimeout

    public Http2SolrClient.Builder connectionTimeout(int connectionTimeOut)